"""Read in contour data file and plot max and min
"""

import project
from pylab import plot, xlabel, ylabel, savefig, ion, close, axis, title, legend
from os import sep
 
directory = project.outputdir
timedir = '20070906_061418_run_final_1.5_jsexton_exmouth_original'

def get_data(filename):
    fid = open(filename)
    lines = fid.readlines()
    fid.close()
    stage = []
    for line in lines[1:]:
        fields = line.split(',')
        stage.append(float(fields[2]))
    return max(stage), min(stage)

files = ['stage0_convert.csv','stage5_convert.csv','stage20_convert.csv','stage80_convert.csv']
depth = [0,5,20,80]
stage_max = []
stage_min = []

for thefile in files:

    filename = directory + timedir + sep + thefile
    max_stage, min_stage = get_data(filename)
    stage_max.append(max_stage)
    stage_min.append(min_stage)

from anuga.abstract_2d_finite_volumes.util import greens_law
d1 = 80.
d2 = range(d1,5,-1)
h1 = max_stage
green = []
for d in d2:
    h2 = greens_law(d1,d,h1)
    green.append(h2)
    
ion()
plot(depth,stage_max,'ob',d2,green,'-g',depth,stage_max,'-b')
xlabel('depth (m)') 
ylabel('stage (m)')
title('ANUGA modelled maximum stage versus Green\'s approximation \n \
Magnitude 9.3 event (Java) at Onslow')
legend(['ANUGA','Green\'s law'])
axis([-5,85,min(stage_max)*0.9,max(stage_max)*1.1])
savefig('stratification')

close('all')

